Bug 608274 - IndexError: string index out of range
IndexError: string index out of range
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pcapdiff (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-26 11:20 EDT by John Horne
Modified: 2011-06-27 14:58 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 14:58:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
First compressed pcap file. (3.39 MB, application/x-bzip2)
2010-07-14 11:41 EDT, John Horne
no flags Details
Second compressed pcap file. (6.73 MB, application/x-bzip2)
2010-07-14 11:43 EDT, John Horne
no flags Details

  None (edit)
Description John Horne 2010-06-26 11:20:59 EDT
Description of problem:
Trying to compare two pcap files and I get the following error:

Traceback (most recent call last):
  File "/usr/bin/pcapdiff", line 5, in <module>
    import pcapdiff
  File "/usr/share/pcapdiff/pcapdiff.py", line 263, in <module>
    next['remote'] = get_packet(pcap_remote)
  File "/usr/share/pcapdiff/pcapdiff.py", line 152, in get_packet
    spacket = parse_and_save(packet)
  File "/usr/share/pcapdiff/pcapdiff_helper.py", line 89, in parse_and_save
    spacket['ip_total_length'] = 256*ord(ip_packet[2])+ord(ip_packet[3])
IndexError: string index out of range

Version-Release number of selected component (if applicable):
pcapdiff-0.1-7.fc13.noarch
pcapy-0.10.5-6.fc12.x86_64

'uname -a' is:

Linux jhorne 2.6.33.5-124.fc13.x86_64 #1 SMP Fri Jun 11 09:38:12 UTC 2010 x86_64 x86_64 x86_64 GNU/Linux

How reproducible:
Occurs every time with the 2 pcap files I have.

Steps to Reproduce:
1.
2.
3.
  
Actual results:
See error above.

Expected results:
No errors should be output.

Additional info:
Comment 1 Gwyn Ciesla 2010-06-29 10:07:24 EDT
Would you mind attaching the two files?
Comment 2 John Horne 2010-06-29 11:55:17 EDT
I can, but they are 12MB and 54MB in size respectively. Do you really want me to attach them?



John.
Comment 3 Gwyn Ciesla 2010-07-13 08:49:20 EDT
Gulp.

Do you have any webspace you can put them on briefly?  Or do the files possibly contain anything sensitive?  If not, see if BZ will let you attach them.  Not sure what the limit is.
Comment 4 John Horne 2010-07-14 11:41:34 EDT
Created attachment 431820 [details]
First compressed pcap file.
Comment 5 John Horne 2010-07-14 11:43:13 EDT
Created attachment 431823 [details]
Second compressed pcap file.

Okay, both files should now be attached.
Comment 6 Gwyn Ciesla 2010-12-13 21:16:18 EST
Sorry for the delay, which is local and which is remote, and what were the IPs for each?
Comment 7 John Horne 2010-12-14 09:54:00 EST
First attachment (tcpdump file) is 'local'. Its IP address is 141.163.195.250. The remote IP address is 141.163.66.101.
Comment 8 Gwyn Ciesla 2010-12-14 14:08:20 EST
Interesting.  From everything I can figure, I wonder if there isn't a problem with one of the files.  The error makes it look like there's a chunk missing from a packet and it's not handling it gracefully.  Can you produce another set of dumps that crash pcapdiff?
Comment 9 John Horne 2010-12-14 16:02:41 EST
No, not really. This was 6 months ago when we were trying to resolve a particular problem. Things have now moved on: the problem was resolved (I gather), and one of the servers involved now performs a different function. So not really possible to get any other dumps from them.
Comment 10 Bug Zapper 2011-06-01 11:31:34 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2011-06-27 14:58:18 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.